libgimpprint API Reference: color.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/color.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include <string.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions
const char * | stpi_color_namefunc (const void *item)
const char * | stpi_color_long_namefunc (const void *item)
int | stpi_init_color_list (void)
void | check_list (void)
int | stp_color_count (void)
| Get the number of available color modules.
void | check_color (const stp_color_t *c)
const stp_color_t * | stp_get_color_by_index (int idx)
| Get a color module by its index number.
const char * | stp_color_get_name (const stp_color_t *c)
| Get the short (untranslated) name of a color module.
const char * | stp_color_get_long_name (const stp_color_t *c)
| Get the long (translated) name of a color module.
const stp_colorfuncs_t * | stpi_get_colorfuncs (const stp_color_t *c)
const stp_color_t * | stp_get_color_by_name (const char *name)
| Get a color module by its name.
const stp_color_t * | stp_get_color_by_colorfuncs (stp_colorfuncs_t *colorfuncs)
int | stp_color_init (stp_vars_t *v, stp_image_t *image, size_t steps)
int | stp_color_get_row (stp_vars_t *v, stp_image_t *image, int row, unsigned *zero_mask)
stp_parameter_list_t | stp_color_list_parameters (const stp_vars_t *v)
void | stp_color_describe_parameter (const stp_vars_t *v, const char *name, stp_parameter_t *description)
int | stp_color_register (const stp_color_t *color)
int | stp_color_unregister (const stp_color_t *color)
## Variables
stp_list_t * | color_list = NULL

## Function Documentation

void check_color | ( | const stp_color_t * | c | ) | `[inline, static]`

| Definition at line 84 of file color.c. References stp_abort(), stp_color_t, and stp_erprintf(). Referenced by stp_color_get_long_name(), stp_color_get_name(), stp_color_register(), stp_color_unregister(), stpi_color_long_namefunc(), stpi_color_namefunc(), and stpi_get_colorfuncs().

void check_list | ( | void |  | ) | `[inline, static]`

| Definition at line 58 of file color.c. References color_list, stp_erprintf(), and stpi_init_color_list(). Referenced by get_end_internal(), get_start_internal(), stp_get_color_by_colorfuncs(), stp_get_color_by_index(), stp_get_color_by_name(), stp_list_copy(), stp_list_destroy(), stp_list_get_copyfunc(), stp_list_get_freefunc(), stp_list_get_item_by_index(), stp_list_get_item_by_long_name(), stp_list_get_item_by_name(), stp_list_get_length(), stp_list_get_long_namefunc(), stp_list_get_namefunc(), stp_list_get_sortfunc(), stp_list_item_create(), stp_list_item_destroy(), stp_list_set_copyfunc(), stp_list_set_freefunc(), stp_list_set_long_namefunc(), stp_list_set_namefunc(), and stp_list_set_sortfunc().

const char * stpi_color_long_namefunc | ( | const void * | item | ) | `[static]`

| Definition at line 118 of file color.c. References check_color(), stp_color::long_name, and stp_color_t. Referenced by stpi_init_color_list().

const char * stpi_color_namefunc | ( | const void * | item | ) | `[static]`

| Definition at line 109 of file color.c. References check_color(), stp_color::short_name, and stp_color_t. Referenced by stpi_init_color_list().

const stp_colorfuncs_t* stpi_get_colorfuncs | ( | const stp_color_t * | c | ) | `[static]`

| Definition at line 144 of file color.c. References check_color(), stp_color::colorfuncs, and stp_color_t. Referenced by stp_color_describe_parameter(), stp_color_get_row(), stp_color_init(), and stp_color_list_parameters().

int stpi_init_color_list | ( | void |  | ) | `[static]`

| Definition at line 45 of file color.c. References color_list, stp_list_create(), stp_list_destroy(), stp_list_set_long_namefunc(), stp_list_set_namefunc(), stpi_color_long_namefunc(), and stpi_color_namefunc(). Referenced by check_list(), stp_color_count(), stp_color_register(), and stp_color_unregister().

## Variable Documentation

stp_list_t* color_list = NULL`[static]`

| Definition at line 41 of file color.c. Referenced by check_list(), stp_color_count(), stp_color_register(), stp_color_unregister(), stp_get_color_by_colorfuncs(), stp_get_color_by_index(), stp_get_color_by_name(), and stpi_init_color_list().